#!/bin/sh

PREVIEW_TEXT="ABCDEFGHIJKLM
NOPQRSTUVWXYZ
abcdefghijklm
nopqrstuvwxyz
1234567890
!@$\%<>(){}[]
== != => <=
愛してるおかえりなさい"
BG="{{ background }}"
FG="{{ white2 }}"

if [ "$#" -ne 2 ]; then
    echo "Usage: ${0##*/} filename output_image"
    exit 1
fi

convert -size 800x800 xc:"$BG" \
    -gravity center \
    -pointsize 40 \
    -font "$1" \
    -fill "$FG" \
    -annotate +0+0 "$PREVIEW_TEXT" \
    -flatten "$2"
